#--------------------------------------------------------------------------
#
#   ALHM - Game
#
#--------------------------------------------------------------------------

from humerus.hlgame import HLGame
from options import options
from level import Level

#--------------------------------------------------------------------------

class Game(HLGame):

    app_magic = "ALHM"
    save_file_suffix = ".alhm_game"

    frame_time = 1.0 / options.frame_rate_option

    def read_level(self, path):
        level = Level()
        level.read_from_file(path)
        return level

    def begin_frame(self):
        self.playing_level.begin_frame(self.frame_time)

#--------------------------------------------------------------------------

game = Game()
